// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: dsepractice/chinese/v1alpha1/core_types.proto

package gg.dsepractice.chinese.v1alpha1;

public interface ListLeaderboardEntriesRequestOrBuilder extends
    // @@protoc_insertion_point(interface_extends:dsepractice.chinese.v1alpha1.ListLeaderboardEntriesRequest)
    com.google.protobuf.MessageLiteOrBuilder {

  /**
   * <code>string article_id = 5 [json_name = "articleId"];</code>
   * @return The articleId.
   */
  java.lang.String getArticleId();
  /**
   * <code>string article_id = 5 [json_name = "articleId"];</code>
   * @return The bytes for articleId.
   */
  com.google.protobuf.ByteString
      getArticleIdBytes();

  /**
   * <code>.dsepractice.chinese.v1alpha1.PaginationOption pagination_option = 6 [json_name = "paginationOption"];</code>
   * @return Whether the paginationOption field is set.
   */
  boolean hasPaginationOption();
  /**
   * <code>.dsepractice.chinese.v1alpha1.PaginationOption pagination_option = 6 [json_name = "paginationOption"];</code>
   * @return The paginationOption.
   */
  gg.dsepractice.chinese.v1alpha1.PaginationOption getPaginationOption();
}
